### Function

# PangoXftrender_transformed

since: 1.8

#### Declaration [src]

    void
    pango_xft_render_transformed (
      XftDraw* draw,
      XftColor* color,
      PangoMatrix* matrix,
      PangoFont* font,
      PangoGlyphString* glyphs,
      int x,
      int y
    )

#### Description [src]

Renders a `PangoGlyphString` onto a XftDraw, possibly transforming the layed-out coordinates through a transformation matrix.

Note that the transformation matrix for `font` is not changed, so to produce correct rendering results, the `font` must have been loaded using a `PangoContext` with an identical transformation matrix to that passed in to this function.

Available since: 1.8

#### Parameters

`draw`

  Type: `XftDraw`

  An XftDraw.

  The data is owned by the caller of the function.

`color`

  Type: `XftColor`

  The color in which to draw the glyphs.

  The data is owned by the caller of the function.

`matrix`

  Type: `PangoMatrix`

  A `PangoMatrix`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`font`

  Type: `PangoFont`

  The font in which to draw the string.

  The data is owned by the caller of the function.

`glyphs`

  Type: `PangoGlyphString`

  The glyph string to draw.

  The data is owned by the caller of the function.

`x`

  Type: `int`

  The x position of the start of the string (in Pango units in user space coordinates)

`y`

  Type: `int`

  The y position of the baseline (in Pango units in user space coordinates)